Public Class Form1
    Public pos As Integer = 0
    Public loc(3) As Point

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim ms As Size = SystemInformation.PrimaryMonitorSize

        Me.BackgroundImage = Me.ImageList1.Images(0)

        loc(0) = New Point(0, 0)
        loc(1) = New Point(ms.Width - 70, 0)
        loc(2) = New Point(ms.Width - 70, ms.Height - 70)
        loc(3) = New Point(0, ms.Height - 70)

        Me.Location = loc(0)
    End Sub

    Private Sub ¸I—¹ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ¸I—¹ToolStripMenuItem.Click
        Me.Close()
    End Sub

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        Select Case pos
            Case 0
                Me.BackgroundImage = Me.ImageList1.Images(1)
                pos = 1
            Case 1
                Me.BackgroundImage = Me.ImageList1.Images(2)
                pos = 2
            Case 2
                Me.BackgroundImage = Me.ImageList1.Images(0)
                pos = 0

        End Select
    End Sub

    Private Sub Timer2_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer2.Tick
        Dim rnd As New Random

        Me.Location = loc(rnd.Next(4))

        Me.Timer2.Interval = (rnd.Next(100) + 1) * 100

    End Sub
End Class
